ALE(4)

NAME
ale - Atheros AR8121/AR8113/AR8114 10/100/Gigabit Ethernet device

SYNOPSIS
ale* at pci?
atphy* at mii?

DESCRIPTION
The ale driver provides support for Ethernet interfaces based on the Atheros AR8121/AR8113/AR8114 Ethernet chipset, also known as the Attansic L1E.

The ale driver supports IPv4 receive IP/TCP/UDP checksum offload and VLAN tag insertion and stripping.

The following media types are supported:

autoselect
    Enable autoselection of the media type and options.
10baseT
    Set 10Mbps operation.
100baseTX
    Set 100Mbps (Fast Ethernet) operation.
1000baseT
    Set 1000Mbps (Gigabit Ethernet) operation.

For more information on configuring this device, see ifconfig(8). To view a list of media types and options supported by the card, try ifconfig -m <device>. For example, ifconfig -m ale0.

SEE ALSO
arp(4), atphy(4), ifmedia(4), intro(4), netintro(4), pci(4), ifconfig(8)

HISTORY
The ale device driver first appeared in OpenBSD 4.5. It was then ported to NetBSD 5.1.

AUTHORS
-nosplit The ale driver was written by Pyun YongHyeon for FreeBSD and ported to OpenBSD by Kevin Lo <kevlo@OpenBSD.org> then ported to NetBSD by Christoph Egger <cegger@NetBSD.org> and Kevin Lahey.